extern __imp_DirectInput8Create:qword 
DirectInput8Create TEXTEQU <__imp_DirectInput8Create> 
extern __imp_DllCanUnloadNow:qword 
DllCanUnloadNow TEXTEQU <__imp_DllCanUnloadNow> 
extern __imp_DllGetClassObject:qword 
DllGetClassObject TEXTEQU <__imp_DllGetClassObject> 
extern __imp_DllRegisterServer:qword 
DllRegisterServer TEXTEQU <__imp_DllRegisterServer> 
extern __imp_DllUnregisterServer:qword 
DllUnregisterServer TEXTEQU <__imp_DllUnregisterServer>

DI_OK			equ 0
DINPUT_OK		equ 0
DINPUT_ERR_DINPUT       equ 1
DINPUT_ERR_KEYBOARD	equ 2
DINPUT_ERR_MOUSE	equ 4

DIRECTINPUT_VERSION	equ 800h
DISCL_EXCLUSIVE		equ 1
DISCL_NONEXCLUSIVE	equ 2
DISCL_FOREGROUND	equ 4
DISCL_BACKGROUND	equ 8
DISCL_NOWINKEY		equ 10h

DIDF_ABSAXIS            equ 1
DIDF_RELAXIS            equ 2

DIK_ESCAPE          equ 001h
DIK_1               equ 002h
DIK_2               equ 003h
DIK_3               equ 004h
DIK_4               equ 005h
DIK_5               equ 006h
DIK_6               equ 007h
DIK_7               equ 008h
DIK_8               equ 009h
DIK_9               equ 00Ah
DIK_0               equ 00Bh
DIK_MINUS           equ 00Ch    ; - on main keyboard
DIK_EQUALS          equ 00Dh
DIK_BACK            equ 00Eh    ; backspace
DIK_TAB             equ 00Fh
DIK_Q               equ 010h
DIK_W               equ 011h
DIK_E               equ 012h
DIK_R               equ 013h
DIK_T               equ 014h
DIK_Y               equ 015h
DIK_U               equ 016h
DIK_I               equ 017h
DIK_O               equ 018h
DIK_P               equ 019h
DIK_LBRACKET        equ 01Ah
DIK_RBRACKET        equ 01Bh
DIK_RETURN          equ 01Ch    ; Enter on main keyboard
DIK_LCONTROL        equ 01Dh
DIK_A               equ 01Eh
DIK_S               equ 01Fh
DIK_D               equ 020h
DIK_F               equ 021h
DIK_G               equ 022h
DIK_H               equ 023h
DIK_J               equ 024h
DIK_K               equ 025h
DIK_L               equ 026h
DIK_SEMICOLON       equ 027h
DIK_APOSTROPHE      equ 028h
DIK_GRAVE           equ 029h    ; accent grave
DIK_LSHIFT          equ 02Ah
DIK_BACKSLASH       equ 02Bh
DIK_Z               equ 02Ch
DIK_X               equ 02Dh
DIK_C               equ 02Eh
DIK_V               equ 02Fh
DIK_B               equ 030h
DIK_N               equ 031h
DIK_M               equ 032h
DIK_COMMA           equ 033h
DIK_PERIOD          equ 034h    ; . on main keyboard
DIK_SLASH           equ 035h    ; / on main keyboard
DIK_RSHIFT          equ 036h
DIK_MULTIPLY        equ 037h    ; * on numeric keypad
DIK_LMENU           equ 038h    ; left Alt
DIK_SPACE           equ 039h
DIK_CAPITAL         equ 03Ah
DIK_F1              equ 03Bh
DIK_F2              equ 03Ch
DIK_F3              equ 03Dh
DIK_F4              equ 03Eh
DIK_F5              equ 03Fh
DIK_F6              equ 040h
DIK_F7              equ 041h
DIK_F8              equ 042h
DIK_F9              equ 043h
DIK_F10             equ 044h
DIK_NUMLOCK         equ 045h
DIK_SCROLL          equ 046h    ; Scroll Lock
DIK_NUMPAD7         equ 047h
DIK_NUMPAD8         equ 048h
DIK_NUMPAD9         equ 049h
DIK_SUBTRACT        equ 04Ah    ; - on numeric keypad
DIK_NUMPAD4         equ 04Bh
DIK_NUMPAD5         equ 04Ch
DIK_NUMPAD6         equ 04Dh
DIK_ADD             equ 04Eh    ; + on numeric keypad
DIK_NUMPAD1         equ 04Fh
DIK_NUMPAD2         equ 050h
DIK_NUMPAD3         equ 051h
DIK_NUMPAD0         equ 052h
DIK_DECIMAL         equ 053h    ; . on numeric keypad
DIK_OEM_102         equ 056h    ; <> or \| on RT 102-key keyboard (Non-U.S.)
DIK_F11             equ 057h
DIK_F12             equ 058h
DIK_F13             equ 064h    ;                     (NEC PC98)
DIK_F14             equ 065h    ;                     (NEC PC98)
DIK_F15             equ 066h    ;                     (NEC PC98)
DIK_KANA            equ 070h    ; (Japanese keyboard)
DIK_ABNT_C1         equ 073h    ; /? on Brazilian keyboard
DIK_CONVERT         equ 079h    ; (Japanese keyboard)
DIK_NOCONVERT       equ 07Bh    ; (Japanese keyboard)
DIK_YEN             equ 07Dh    ; (Japanese keyboard)
DIK_ABNT_C2         equ 07Eh    ; Numpad . on Brazilian keyboard
DIK_NUMPADEQUALS    equ 08Dh    ; = on numeric keypad (NEC PC98)
DIK_PREVTRACK       equ 090h    ; Previous Track (DIK_CIRCUMFLEX on Japanese keyboard)
DIK_AT              equ 091h    ;                     (NEC PC98)
DIK_COLON           equ 092h    ;                     (NEC PC98)
DIK_UNDERLINE       equ 093h    ;                     (NEC PC98)
DIK_KANJI           equ 094h    ; (Japanese keyboard)
DIK_STOP            equ 095h    ;                     (NEC PC98)
DIK_AX              equ 096h    ;                     (Japan AX)
DIK_UNLABELED       equ 097h    ;                        (J3100)
DIK_NEXTTRACK       equ 099h    ; Next Track
DIK_NUMPADENTER     equ 09Ch    ; Enter on numeric keypad
DIK_RCONTROL        equ 09Dh
DIK_MUTE            equ 0A0h    ; Mute
DIK_CALCULATOR      equ 0A1h    ; Calculator
DIK_PLAYPAUSE       equ 0A2h    ; Play / Pause
DIK_MEDIASTOP       equ 0A4h    ; Media Stop
DIK_VOLUMEDOWN      equ 0AEh    ; Volume -
DIK_VOLUMEUP        equ 0B0h    ; Volume +
DIK_WEBHOME         equ 0B2h    ; Web home
DIK_NUMPADCOMMA     equ 0B3h    ; , on numeric keypad (NEC PC98)
DIK_DIVIDE          equ 0B5h    ; / on numeric keypad
DIK_SYSRQ           equ 0B7h
DIK_RMENU           equ 0B8h    ; right Alt
DIK_PAUSE           equ 0C5h    ; Pause
DIK_HOME            equ 0C7h    ; Home on arrow keypad
DIK_UP              equ 0C8h    ; UpArrow on arrow keypad
DIK_PRIOR           equ 0C9h    ; PgUp on arrow keypad
DIK_LEFT            equ 0CBh    ; LeftArrow on arrow keypad
DIK_RIGHT           equ 0CDh    ; RightArrow on arrow keypad
DIK_END             equ 0CFh    ; End on arrow keypad
DIK_DOWN            equ 0D0h    ; DownArrow on arrow keypad
DIK_NEXT            equ 0D1h    ; PgDn on arrow keypad
DIK_INSERT          equ 0D2h    ; Insert on arrow keypad
DIK_DELETE          equ 0D3h    ; Delete on arrow keypad
DIK_LWIN            equ 0DBh    ; Left Windows key
DIK_RWIN            equ 0DCh    ; Right Windows key
DIK_APPS            equ 0DDh    ; AppMenu key
DIK_POWER           equ 0DEh    ; System Power
DIK_SLEEP           equ 0DFh    ; System Sleep
DIK_WAKE            equ 0E3h    ; System Wake
DIK_WEBSEARCH       equ 0E5h    ; Web Search
DIK_WEBFAVORITES    equ 0E6h    ; Web Favorites
DIK_WEBREFRESH      equ 0E7h    ; Web Refresh
DIK_WEBSTOP         equ 0E8h    ; Web Stop
DIK_WEBFORWARD      equ 0E9h    ; Web Forward
DIK_WEBBACK         equ 0EAh    ; Web Back
DIK_MYCOMPUTER      equ 0EBh    ; My Computer
DIK_MAIL            equ 0ECh    ; Mail
DIK_MEDIASELECT     equ 0EDh    ; Media Select

;*
;*  Alternate names for keys, to facilitate transition from DOS.
;*
DIK_BACKSPACE       equ DIK_BACK            ; backspace
DIK_NUMPADSTAR      equ DIK_MULTIPLY        ; * on numeric keypad
DIK_LALT            equ DIK_LMENU           ; left Alt
DIK_CAPSLOCK        equ DIK_CAPITAL         ; CapsLock
DIK_NUMPADMINUS     equ DIK_SUBTRACT        ; - on numeric keypad
DIK_NUMPADPLUS      equ DIK_ADD             ; + on numeric keypad
DIK_NUMPADPERIOD    equ DIK_DECIMAL         ; . on numeric keypad
DIK_NUMPADSLASH     equ DIK_DIVIDE          ; / on numeric keypad
DIK_RALT            equ DIK_RMENU           ; right Alt
DIK_UPARROW         equ DIK_UP              ; UpArrow on arrow keypad
DIK_PGUP            equ DIK_PRIOR           ; PgUp on arrow keypad
DIK_LEFTARROW       equ DIK_LEFT            ; LeftArrow on arrow keypad
DIK_RIGHTARROW      equ DIK_RIGHT           ; RightArrow on arrow keypad
DIK_DOWNARROW       equ DIK_DOWN            ; DownArrow on arrow keypad
DIK_PGDN            equ DIK_NEXT            ; PgDn on arrow keypad

;*
;*  Alternate names for keys originally not used on US keyboards.
;*
DIK_CIRCUMFLEX      equ DIK_PREVTRACK       ; Japanese keyboard 




